> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/mobile_server/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/mobile_server/mobileserverservermodule.md).

# MobileServerServerModule

The server api of MobileID

## Introduction

Server side http api for MobileID. The api should not be accessible from Internet.

## Configuration

{% hint style="info" %}
**Module name:** `MobileServerServerModule`
{% endhint %}

### Configuration

This is the configuration.  All http configuration parameters is also valid.

{% tabs %}
{% tab title="Properties" %}

<table><thead><tr><th width="199">Name</th><th width="271">Description</th><th width="116">Default</th><th data-type="checkbox">Mandatory</th></tr></thead><tbody><tr><td>issuer</td><td>Modules within the  same namespace belong together.</td><td>N/A</td><td>true</td></tr><tr><td>issuer_id</td><td>A GUID identifier for this issuer.  Can be generated here:<br><a href="https://www.guidgenerator.com/">https://www.guidgenerator.com/</a></td><td>N/A</td><td>true</td></tr><tr><td>client_api_url</td><td>External url used by the mobile clients</td><td>N/A</td><td>true</td></tr><tr><td>url_scheme</td><td>Scheme used for QR-codes etc. Must be "fortifiedid"</td><td>fortifiedid</td><td>false</td></tr></tbody></table>
{% endtab %}

{% tab title="Example" %}

```json
{
  "name": "MobileServerServerModule",
  "config": 
  {
    "http_context": "/mos",
    "issuer": "Fortified ID",
    "issuer_id": "<should be a guid>",
    "client_api_url": "http://192.168.86.27:7002/mosclient",
    "http_port": 7001
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fortifiedid.se/mobile_server/mobileserverservermodule.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
